Subject: Re: Notes on http-push

From: Nick Hengeveld <[email-masked]>
Date: Mon, 7 Nov 2005 11:07:49 -0800

On Mon, Nov 07, 2005 at 07:34:34PM +0100, Johannes Schindelin wrote:

> - if you init your test by git-clone'ing from a http repo, be sure to
> 	add a slash to the URL, else git-push will tell you erroneously
> 	that the server does not do DAV locking. (Probably http-push.c 
> 	should be fixed to add the slash when needed.)

In the -fetch counterparts, the trailing slash is added by git-fetch.sh,
does this belong in the get_remote_url() function in
git-parse-remote.sh?  I've only pushed with DAV, so I'm not sure whether
that would break anything else.

-- 
For a successful technology, reality must take precedence over public
relations, for nature cannot be fooled.